Что значит эти WARN в терминале Node?

Привет я загружаю книжные магазины в мой проект с "npm" и непрерывный разум показывает Вам следующее сообщение:

*** C:\Users\victor\Desktop\michaelgram> npm install - save page npm WARN michaelgram@0.1.0 не repository field. npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.3 (node_modules\fsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.3: wanted { {вы": "darwin", "arch": "any" } (current: { {вы": "win32", "arch": "x64" })

  • page@1.8.6 added 2 packages in 31.769s ***

Когда я стараюсь установить fsevents@1.2.3, Вы не позволяете это мне. Не имеют общее с node, и если это может касаться в будущем в проекта. Я разыскивал из-за Google без успеха. Я использую Windows 10, и терминал Node.js command prompt. Но с "cmd" системы также выходили WARN и с другими книжными магазинами также со мной случилось. Спасибо.

3
задан 26.04.2019, 17:31
1 ответ

Это не ошибка, это warning (объявление) говоря, что не нашел опциональный пакет fsevents. Ты это можешь игнорировать так как этот пакет sГіlo он необходим для MacOS (kernel которого называются Дарвин), в то время как tГє estГЎs используя Windows.

, Чтобы это осветлять немного mГЎs: в Мак ВЫ X, чтобы мочь обнаруживать изменения в системе файлов, (ahГ - имя, Филе Систем Events ), мы нуждаемся в этой librerГ - в. В других операционных системах (Linux и Windows) она ненужная (ademГЎs того, чтобы не быть совместим), а следовательно не может / должно устанавливать. Угловые

и другие программные средства (Карма, например) используют эти события, чтобы перезагружать в реальном времени тест или в стадии строительства приложения, когда шрифт обнаруживает изменения в файлах с cГіdigo, а следовательно они требуют этой librerГ - чтобы для иметь вся Вашу функциональность в ВАС X.

Следовательно, если только estГ©s используя Мак ВЫ X как среда разработки, ты не можешь игнорировать это объявление.

, Если ты хочешь предотвратить объявление, ты можешь aГ±adir она opciГіn --no-optional:

npm install --no-optional
4
ответ дан 03.12.2019, 04:53
  • 1
    Большое спасибо из-за aclaració n, сейчас я это понимаю, и уже, который не необходим для моего Linux. Большое спасибо @PabloLozano – Miguel Espeso 26.04.2019, 23:29

Теги

Похожие вопросы